Description

The Metacat spatial viewer should support basic GIS functions such as panning,
zoomin, and selection and ordering of themes/layers.

Related issues:
Is duplicate of Metacat - Bug #5316: Interactive map doesn't work with firefox Resolved 02/19/2011

History

#1 - 07/24/2006 02:02 PM - Matthew Perry

Mapbuilder supports all of these functions (panning, zooms, layer selection).

There is another option that allows for continuous panning ala google maps interface called OpenLayers. It is much "slicker" interface though it lacks
some of the advanced functionality and cionfigurability of Mapbuilder.

Open Layers also uses the WMS spec so little would need to be done on the server tier to support it. | have a few demos worked up and, when the
spatial metacat extensions are released, | hope to allow each skin the option of using either mapbuilder OR openlayers as the web mapping client.

#2 - 07/27/2006 01:52 PM - Matthew Perry

changed title of the bug to reflect ongoing work with OpenLayers; a web mapping client alternative mapbuilder

#3 - 06/18/2010 02:38 PM - Matt Jones

The existing mapping client used in the Metacat skins is MapBuilder, which is no longer supported and no longer works properly with several modern
browsers. We need to replace this with a modern web mapping client, probably OpenLayers, that supports current browsers. This probably depends
on upgrading geoserver as well.

#4 - 01/28/2011 12:19 PM - ben leinfelder

Re-implementing the features we have in MapBuilder in OpenLayers:
1. named locations drop down
2. spatial query when drawing a bounding box

For #1 | still need to go through each skin and make sure they use the new OpenLayers map template (especially SANParks and SAEON)

#2 is functional, though we may want to tweak how it works WRT zooming vs invoking the query.

#5 - 01/28/2011 05:30 PM - ben leinfelder

TODO:

-create a way for skins to reuse the common map rendering but still perform spatial queries with their results styled as the correct gformat

-add spatial search control to existing control options (pan and zoom) so that the mouse drag acts as expected depending on which control you have
selected (as it did in mapbuilder).

-SLDs could be finessed, at least for sanparks/saeon skins

-remove sanparks layer in the shared common map. allow skins to specify additional layers to load in the openlayers rendering in their skin.

#6 - 02/08/2011 11:30 AM - ben leinfelder

added new map control for metacat spatial query. now you can Pan/Zoom/Search depending on which control is selected

#7 - 02/09/2011 11:37 AM - ben leinfelder

New OpenLayers implementation is now in trunk - old MapBuilder has been removed.

#9 - 03/27/2013 02:19 PM - Redmine Admin
